use crate::input;

pub async fn run() {
    tokio::spawn(async {
        if let Err(e) = input::forward_requests_from_socket().await {
            eprintln!("failed to forwards requests from socket: {e}");
            std::process::exit(1);
        }
    });
    input::answer_requests_from_stdin().await;
}
